/*
    rtnet/driver/net/virt.h
    virtualizer

    rtnet - real-time networking subsystem
    Copyright (C) 1999,2000 Zentropic Computing, LLC
*/


#define RT_DRIVER

#define RT_dev_alloc_skb(a)		\
	((RT_FLAG)?dev_alloc_rtskb(a):dev_alloc_skb(a))

#define RT_dev_free_skb(a)		\
	((RT_FLAG)?dev_kfree_rtskb(a):dev_kfree_skb(a))

#define RT_mark_bh(a)			\
	((RT_FLAG)?0:mark_bh(a))

#define RT_netif_rx(a)			\
	((RT_FLAG)?rtnetif_rx(a):netif_rx(a))

#define RT_netif_wake_queue(a)		\
	((RT_FLAG)?rtnetif_wake_queue(a):mark_bh(NET_BH))

#define RT_request_irq(a,b,c,d,e)	\
	((RT_FLAG)?rtnet_request_irq(a,b,c,d,e):request_irq(a,b,c,d,e))

#define RT_free_irq(a,b)		\
	((RT_FLAG)?rtnet_free_irq(a,b):free_irq(a,b))

#define RT_printk			\
	rt_printk

